# Class WakeupOnAWTEvent

java.lang.Object
javax.media.j3d.WakeupCondition
javax.media.j3d.WakeupCriterion
javax.media.j3d.WakeupOnAWTEvent

public final class WakeupOnAWTEvent extends WakeupCriterion
Class that specifies a Behavior wakeup when a specific AWT event occurs.

## Constructor Summary

Constructors
Constructor
Description
`WakeupOnAWTEvent(int AWTId)`
Constructs a new WakeupOnAWTEvent object that informs the Java 3D scheduler to wake up the specified Behavior object whenever the specified AWT event occurs.
`WakeupOnAWTEvent(long eventMask)`
Constructs a new WakeupOnAWTEvent using Ored EVENT_MASK values.

## Method Summary

Modifier and Type
Method
Description
`AWTEvent[]`
`getAWTEvent()`
Retrieves the array of consecutive AWT event that triggered this wakeup.

### Methods inherited from class WakeupCriterion

`hasTriggered`

### Methods inherited from class WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WakeupOnAWTEvent

public WakeupOnAWTEvent(int AWTId)
Constructs a new WakeupOnAWTEvent object that informs the Java 3D scheduler to wake up the specified Behavior object whenever the specified AWT event occurs.

Parameters:
  `AWTId` - the AWT ids that this behavior wishes to intercept

### WakeupOnAWTEvent

public WakeupOnAWTEvent(long eventMask)
Constructs a new WakeupOnAWTEvent using Ored EVENT_MASK values.

Parameters:
  `eventMask` - the AWT EVENT_MASK values Ored together

## Method Details

### getAWTEvent

public AWTEvent[] getAWTEvent()
Retrieves the array of consecutive AWT event that triggered this wakeup. A value of null implies that this event was not the trigger for the behavior wakeup.

Returns:
  either null (if not resposible for wakeup) or the array of AWTEvents responsible for the wakeup.